/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockInjector = require('../../../mock_injector'),
    _scaffoldData = require('../../../../task/worker/_scaffold_data.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    mockInjector.restoreAll();
    done();
};


exports['Scaffold data.'] = function (test) {
    var data = _scaffoldData('premium_user');
    test.ok(data);
    test.equal(data.name, 'premiumUser');
    test.equal(data.Name, 'PremiumUser');
    test.equal(data.snakeName, 'premium_user');
    test.done();
};